{% extends '_layout/base.twig' %}

{% block content %}

	<div class="flex justify-center pt-20">


      <div class="bg-white shadow-lg rounded-lg max-w-xl concrete-calc">
        <div class="p-6 pb-3 md:p-8 md:pb-4">
          <div class="mb-4">
            <span class="block font-bold text-xl md:text-2xl text-black mb-2">Concrete Calculator</span>
            <span class="block opacity-50 text-black">Please use this calculator to estimate the quantity of concrete required for your project.</span>
          </div>
          
          <form class="mb-4 md:mb-0 concrete-form">
            <div class="flex flex-wrap overflow-hidden md:-mx-2">
              <div class="w-full md:w-1/2 md:px-2 mb-2">
                <label class="block text-sm sr-only">Length (m)</label>
                <input class="appearance-none border w-full p-4 mb-4 text-black leading-tight focus:outline-none focus:border-gray-200" name="length" type="text" placeholder="Length (m)">
              </div>

              <div class="w-full md:w-1/2 md:px-2 mb-2">
                <label class="block text-sm sr-only">Depth (m)</label>
                <input class="appearance-none border w-full p-4 mb-4 text-black leading-tight focus:outline-none focus:border-gray-200" name="depth" type="text" placeholder="Depth (m)">
              </div>
            </div>

            <div class="flex flex-wrap overflow-hidden md:-mx-2">
              <div class="w-full md:w-1/2 md:px-2 mb-4">
                <label class="block text-sm sr-only">Width (m)</label>
                <input class="appearance-none border w-full p-4 text-black leading-tight focus:outline-none focus:border-gray-200" name="width" type="text" placeholder="Width (m)">
              </div>

              <div class="w-full md:w-1/2 md:px-2">
                <div class="flex flex-wrap -mx-2">
                  <div class="w-auto px-2">
                    <button class="bg-gray-500 text-white p-4 rounded leading-tight hover:bg-gray-600 focus:bg-gray-600 block w-auto concrete-reset" type="button">
                      Reset
                    </button>
                  </div>

                  <div class="flex-1 px-2">
                    <button class="bg-green-500 text-white p-4 rounded leading-tight hover:bg-green-600 focus:bg-green-600 block w-full concrete-calculate" type="submit">
                      Calculate
                    </button>
                  </div>
                </div>

                <div class="text-red-600 text-sm mt-3 hidden concrete-error">
                  <p>Please enter a number in each field</p>
                </div>

              </div>
            </div>
          </form>
        </div>

        <div class="bg-green-500 text-white p-4 md:p-6 text-center hidden concrete-result-container">
          <p class="text-lg leading-tight">You'll need: <span class="font-bold text-2xl concrete-result">0m³</span></p>
        </div>

        <div class="bg-blue-500 text-white rounded-b-lg p-6 md:p-8 text-center">
          <span class="block text-lg leading-tight">For help and advice, speak to us directly on <span class="font-bold">0800 000 0000</span></span>
        </div>
      </div>


	</div>

{% endblock %}
